# Expense Payment Updated Event Expense activity on Brex Cards. Endpoint: POST /x-webhooks/expensePaymentUpdated Version: 0.1 Security: OAuth2 ## Request fields (application/json): - `event_type` (string, required) Enum: "REFERRAL_CREATED", "REFERRAL_ACTIVATED", "REFERRAL_APPLICATION_STATUS_CHANGED", "TRANSFER_PROCESSED", "TRANSFER_FAILED", "EXPENSE_PAYMENT_UPDATED", "USER_UPDATED", "EMBEDDED_CARD_TRANSACTION_UPDATED", "EMBEDDED_CARD_UPDATED", "EMBEDDED_ACCOUNT_UPDATED", "EMBEDDED_CARD_SHIPPING_UPDATED", "EMBEDDED_DISPUTE_UPDATED", "PARTNERSHIP_INTEGRATION_CONNECTION_UPDATED", "EMBEDDED_CARD_AUTHORIZATION", "EMBEDDED_FRAUD_ALERT", "EMBEDDED_BILLING_GROUP_UPDATED", "EMBEDDED_LEGAL_ENTITY_UPDATED", "EMBEDDED_BILLING_STATEMENT_UPDATED", "ACCOUNTING_RECORD_READY_FOR_EXPORT" - `expense_id` (string, required) Unique ID associated with the expense. - `version` (integer, required) Version of this expense. This value starts at 1 and is incremented by 1 with every update. Example: 1 - `payment_status` (string, required) PENDING:The transaction is yet to be captured. It may be approved, yet to be approved, or yet to be declined. DECLINED: The transaction was declined. Enum: "PENDING", "DECLINED" - `payment_type` (string, required) PURCHASE: A pending transaction for making a purchase. REFUND: A pending transaction for a refund. WITHDRAWAL: A pending transaction for a withdrawal. DECLINED: A pending transaction that was declined and will not be completed. Enum: "PURCHASE", "REFUND", "WITHDRAWAL", "DECLINED" - `company_id` (string, required) This is the id returned in the [Get Company](/openapi/team_api/#operation/getCompany) endpoint. You can use the company_id to determine which access token to use when you get the details from our API endpoints. - `purchased_at` (string,null) The time the purchase was made. - `original_amount` (object,null) Money fields can be signed or unsigned. Fields are signed (an unsigned value will be interpreted as positive). The amount of money will be represented in the smallest denomination of the currency indicated. For example, USD 7.00 will be represented in cents with an amount of 700. - `original_amount.amount` (integer, required) The amount of money, in the smallest denomination of the currency indicated by currency. For example, when currency is USD, amount is in cents. Example: 700 - `original_amount.currency` (string,null) The type of currency, in ISO 4217 format. Example: "USD" - `billing_amount` (object,null) Money fields can be signed or unsigned. Fields are signed (an unsigned value will be interpreted as positive). The amount of money will be represented in the smallest denomination of the currency indicated. For example, USD 7.00 will be represented in cents with an amount of 700. - `card_id` (string, required) The ID of the card that is associated with the expense. - `merchant` (object, required) The merchant associated with the expense. - `merchant.raw_descriptor` (string, required) Merchant descriptor, it can be the merchant name. - `merchant.mcc` (string, required) A four-digit number listed in ISO 18245 for retail financial services, e.g. 4121 for Taxicabs and Rideshares. Please refer to https://en.wikipedia.org/wiki/Merchant_category_code for more details. - `merchant.country` (string, required) Merchant's country, in ISO 3166-1 alpha-3 format. - `payment_status_reason` (string, required) The reason for the payment's status. Enum: "OTHER", "APPROVED", "EXCEEDED_BUDGET_LIMIT", "BUDGET_EXPIRED", "NO_BUDGET", "BUDGET_NOT_YET_STARTED", "BUDGET_CATEGORY_RESTRICTION", "BUDGET_MERCHANT_RESTRICTION", "SUSPECTED_FRAUD", "EXCEEDED_GLOBAL_LIMIT", "EXCEEDED_USER_LIMIT", "EXCEEDED_CARD_LIMIT", "INVALID_EXPIRATION_DATE", "CARD_NOT_ACTIVE", "INVALID_CARD_CREDENTIALS", "INVALID_BILLING_ADDRESS", "CARD_SUSPENDED", "CARD_TERMINATED", "CARD_EXPIRED", "MCC_BLOCKED", "USER_SUSPENDED", "INVALID_PIN", "INVALID_CVV", "EXCEEDED_PIN_ATTEMPTS", "INSIDE_SANCTIONED_COUNTRY", "SOFT_EXPIRATION", "TRANSFERRED_CARD_NEW_MERCHANT", "EXCEEDED_ANCESTOR_BUDGET_LIMIT", "EXCEEDED_BUDGET_TRANSACTION_LIMIT", "TOS_BLOCKED", "COMPLIANCE_BLOCKED" - `payment_authorization_code` (string,null) The authorization code of the associated card expense. - `amount` (object,null) Money fields can be signed or unsigned. Fields are signed (an unsigned value will be interpreted as positive). The amount of money will be represented in the smallest denomination of the currency indicated. For example, USD 7.00 will be represented in cents with an amount of 700. - `payment_description` (string, required) Succeeded by the merchant::raw_descriptor field. ## Response 200 fields